@#example@
@(load "graph-view.stklos")@
@(define dhg (digraph '(1 2 3 4) '((1 3 2) (4 1) (4 1))))@
@(describe dhg)@
@(define dhgv (make <graph-view> :graph dhg))@
@(define egs (set-edge->list (edges dhg)))@
@(set-attribute! 'weight 10 (caddr egs))@
@(define tree-edges (kruskal dhg))@
@(map (lambda (x)
        (let* ((etab (slot-ref dhgv 'edge-table))
               (eg (hash-table-get etab x)))
            (slot-set! eg 'width 4))) (set-edge->list tree-edges))@
@#endexample@
@(bye)@
